
//----------------------------------------------------
// The following code was generated by CUP v0.11b 20160615 (GIT 4ac7450)
//----------------------------------------------------

package pasito.syntax;

/** CUP generated interface containing symbol constants. */
public interface sym {
  /* terminals */
  public static final int NOT_ASSIGN = 51;
  public static final int TIMES = 30;
  public static final int GT = 83;
  public static final int TYPE = 8;
  public static final int GO = 81;
  public static final int FLOAT32 = 92;
  public static final int CONST = 12;
  public static final int NOTEQ = 37;
  public static final int INT32 = 20;
  public static final int UINTPTR = 105;
  public static final int STRING_LIT = 26;
  public static final int RUNE_LIT = 27;
  public static final int SEMI = 96;
  public static final int BITAND_ASSIGN = 55;
  public static final int GEQ = 77;
  public static final int FUNC = 4;
  public static final int BITCLEAR = 42;
  public static final int IMAGINARY = 25;
  public static final int DEFER = 80;
  public static final int RBRACK = 64;
  public static final int INC_OP = 74;
  public static final int COMMA = 67;
  public static final int REMAINDER_ASSIGN = 48;
  public static final int RPAREN = 97;
  public static final int DEC_OP = 73;
  public static final int TIMES_ASSIGN = 46;
  public static final int AND_ASSIGN = 49;
  public static final int LBRACK = 63;
  public static final int LT = 60;
  public static final int BITXOR_ASSIGN = 54;
  public static final int STRUCT = 7;
  public static final int LPAREN = 98;
  public static final int DASSIGN = 66;
  public static final int FALSE = 19;
  public static final int NOT = 35;
  public static final int DOTDOTDOT = 70;
  public static final int RSHIFT_ASSIGN = 53;
  public static final int ERROR = 102;
  public static final int VAR = 13;
  public static final int FLOAT = 23;
  public static final int GOTO = 75;
  public static final int BITCLEAR_ASSIGN = 56;
  public static final int PACKAGE = 87;
  public static final int EQ = 36;
  public static final int COMPLEX128 = 94;
  public static final int INT16 = 90;
  public static final int SELECT = 84;
  public static final int NUMBER = 100;
  public static final int FALLTHROUGH = 95;
  public static final int TRUE = 18;
  public static final int PLUS = 28;
  public static final int LPAR = 58;
  public static final int ASSIGN = 65;
  public static final int INTERFACE = 5;
  public static final int BOOLEAN = 17;
  public static final int INT8 = 89;
  public static final int CHAN = 76;
  public static final int SWITCH = 10;
  public static final int FOR = 14;
  public static final int MINUS_ASSIGN = 45;
  public static final int DIV = 31;
  public static final int FLOAT64 = 21;
  public static final int RETURN = 15;
  public static final int BITOR = 43;
  public static final int ELSE = 9;
  public static final int BREAK = 79;
  public static final int REMAINDER = 32;
  public static final int DOT = 72;
  public static final int INT64 = 91;
  public static final int INT = 22;
  public static final int MAP = 82;
  public static final int EOF = 0;
  public static final int SEMICOLON = 68;
  public static final int RPAR = 59;
  public static final int DEFAULT = 3;
  public static final int RSBRACK = 62;
  public static final int IMPORT = 86;
  public static final int MINUS = 29;
  public static final int COMPLEX64 = 93;
  public static final int BITAND = 41;
  public static final int OR = 34;
  public static final int error = 1;
  public static final int EXCL = 69;
  public static final int OR_ASSIGN = 50;
  public static final int CONTINUE = 85;
  public static final int IF = 11;
  public static final int BITXOR = 40;
  public static final int LSHIFT_ASSIGN = 52;
  public static final int ID = 2;
  public static final int DIV_ASSIGN = 47;
  public static final int LSBRACK = 61;
  public static final int PLUS_ASSIGN = 44;
  public static final int COLON = 71;
  public static final int BITOR_ASSIGN = 57;
  public static final int UINT = 104;
  public static final int CHAN_OP = 88;
  public static final int CASE = 6;
  public static final int STRING = 103;
  public static final int RSHIFT = 39;
  public static final int RANGE = 16;
  public static final int BYTE = 101;
  public static final int AND = 33;
  public static final int COMPLEX = 24;
  public static final int UMINUS = 99;
  public static final int LSHIFT = 38;
  public static final int LEQ = 78;
  public static final String[] terminalNames = new String[] {
  "EOF",
  "error",
  "ID",
  "DEFAULT",
  "FUNC",
  "INTERFACE",
  "CASE",
  "STRUCT",
  "TYPE",
  "ELSE",
  "SWITCH",
  "IF",
  "CONST",
  "VAR",
  "FOR",
  "RETURN",
  "RANGE",
  "BOOLEAN",
  "TRUE",
  "FALSE",
  "INT32",
  "FLOAT64",
  "INT",
  "FLOAT",
  "COMPLEX",
  "IMAGINARY",
  "STRING_LIT",
  "RUNE_LIT",
  "PLUS",
  "MINUS",
  "TIMES",
  "DIV",
  "REMAINDER",
  "AND",
  "OR",
  "NOT",
  "EQ",
  "NOTEQ",
  "LSHIFT",
  "RSHIFT",
  "BITXOR",
  "BITAND",
  "BITCLEAR",
  "BITOR",
  "PLUS_ASSIGN",
  "MINUS_ASSIGN",
  "TIMES_ASSIGN",
  "DIV_ASSIGN",
  "REMAINDER_ASSIGN",
  "AND_ASSIGN",
  "OR_ASSIGN",
  "NOT_ASSIGN",
  "LSHIFT_ASSIGN",
  "RSHIFT_ASSIGN",
  "BITXOR_ASSIGN",
  "BITAND_ASSIGN",
  "BITCLEAR_ASSIGN",
  "BITOR_ASSIGN",
  "LPAR",
  "RPAR",
  "LT",
  "LSBRACK",
  "RSBRACK",
  "LBRACK",
  "RBRACK",
  "ASSIGN",
  "DASSIGN",
  "COMMA",
  "SEMICOLON",
  "EXCL",
  "DOTDOTDOT",
  "COLON",
  "DOT",
  "DEC_OP",
  "INC_OP",
  "GOTO",
  "CHAN",
  "GEQ",
  "LEQ",
  "BREAK",
  "DEFER",
  "GO",
  "MAP",
  "GT",
  "SELECT",
  "CONTINUE",
  "IMPORT",
  "PACKAGE",
  "CHAN_OP",
  "INT8",
  "INT16",
  "INT64",
  "FLOAT32",
  "COMPLEX64",
  "COMPLEX128",
  "FALLTHROUGH",
  "SEMI",
  "RPAREN",
  "LPAREN",
  "UMINUS",
  "NUMBER",
  "BYTE",
  "ERROR",
  "STRING",
  "UINT",
  "UINTPTR"
  };
}

